# Network Types

The interconnection between computers in a network can be done in 2 ways

## Broadcast network
![[broadcast-network.png]]

In a broadcast network, every message ([[Packet]]) is sent to every client on the network. Only intended recipients read the packet. Other clients will ignore.

### Disadvantages
- In a broadcast network you cant send multiple messages at the same time ([[collision problem]])
- Suffers from heavy load
- Cannot scale in size.

## Point to Point network
![[point-to-point-network.png]]

[[Packets]] in point-to-point networks are sent from one node to the other until the destination is reached.

Preferably the shortest path is taken.

## When use what

**Smaller Networks**
[[#Network Types#Broadcast network]]
Lighter traffic and lower possibility of collision (smaller dimension).

**Bigger Networks**
[[#Network Types#Point to Point network]]
Suits better.

## Combining Point to Point with Broadcast
Smaller networks use Broadcast internally and are connected to other networks using point to point network. 

The device that connects point to point network with a broadcast network is called a [[Network Hardware]]

![[point-to-point-with-broadcast.png]]

This way you have a network of smaller networks (Internet)

### How is a packet send through a combined network?

- Packet is broadcasted by sender in source network
- Gateway of source network receives packet and passes it on trough the point-to-point network. (till it reaches destination network)
- Destination network receives packet and broadcasts it in the destination network.
- Indented client receives packet.